com.streambase.sb

## Enum Constants.LeadershipStatus

- java.lang.Object
- - java.lang.Enum<Constants.LeadershipStatus>
  - - com.streambase.sb.Constants.LeadershipStatus

- All Implemented Interfaces:
    Serializable, Comparable<Constants.LeadershipStatus>
  Enclosing interface:
    Constants

  Deprecated.
  Legacy high-availability service, migrate to SB 10 high-availability service.

      @Deprecated
      public static enum Constants.LeadershipStatus
      extends Enum<Constants.LeadershipStatus>

  Server leadership status.
  Since:
    5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEADER` Deprecated.
    `NON_LEADER` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.LeadershipStatus` | `decode(int value)` Deprecated. Decode the given integer into a LeadershipStatus
    `static Constants.LeadershipStatus` | `decode(String value)` Deprecated. Decode the given String into a LeadershipStatus
    `int` | `toInt()` Deprecated. Convert the leadership status to integer
    `static Constants.LeadershipStatus` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Constants.LeadershipStatus[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_LEADER

          public static final Constants.LeadershipStatus NON_LEADER

      Deprecated.

    - #### LEADER

          public static final Constants.LeadershipStatus LEADER

      Deprecated.

  - ### Method Detail

    - #### values

          public static Constants.LeadershipStatus[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.LeadershipStatus c : Constants.LeadershipStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.LeadershipStatus valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

      Deprecated.
      Convert the leadership status to integer
      Returns:
        integer value of the leadership status
      Since:
        5.1

    - #### decode

          public static Constants.LeadershipStatus decode(int value)
                                                   throws StreamBaseException

      Deprecated.
      Decode the given integer into a LeadershipStatus
      Parameters:
        `value` - input status
      Returns:
        decoded LeadershipStatus
      Throws:
        `StreamBaseException` - for an unknown LeadershipStatus
      Since:
        5.1

    - #### decode

          public static Constants.LeadershipStatus decode(String value)
                                                   throws StreamBaseException

      Deprecated.
      Decode the given String into a LeadershipStatus
      Parameters:
        `value` - input status
      Returns:
        decoded LeadershipStatus
      Throws:
        `StreamBaseException` - for an unknown LeadershipStatus
      Since:
        5.1

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.